Bug 20875 - [HDMI] The screen will flicker when some application runs on G45-64
Summary: [HDMI] The screen will flicker when some application runs on G45-64
Status: VERIFIED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/intel (show other bugs)
Version: unspecified
Hardware: Other Linux (All)
: medium normal
Assignee: MaLing
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 20276
  Show dependency treegraph
 
Reported: 2009-03-26 02:11 UTC by zhao jian
Modified: 2009-07-08 20:22 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
xorg.0.log (49.15 KB, text/plain)
2009-03-26 02:11 UTC, zhao jian
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description zhao jian 2009-03-26 02:11:18 UTC
Created attachment 24267 [details]
xorg.0.log

System Environment:
----------------------
Platform:               g45
Arch:           x86_64
OSD:            Fedora release 8 (Werewolf)
Kernel_version:         2.6.29-rc7
Libdrm: (master)2e2e8575b1ed4703653a72ac2b60b75316c388d7
Mesa: (mesa_7_4_branch)a8528a2e8653b5237c1d1d66fe98c6e031d007f9
Xserver: (server-1.6-branch)60c161545af80eb78eb790a05bde79409dfdf16e
Xf86_video_intel: (2.7)238c2c40afd9f8b61479b8640d53f20d52fd7ddf
Kernel: (for-airlied)dc529a4fe1ae4667c819437a94185e8581e1e680

Bug Description:
---------------------
On G45-64, start an app on its desktop then the desktop will flickered. Especially run the mesa/progs/demo/teapot, the screen will flickered a lot. It existed both with UXA and EXA, with tiling on and off.  

Reproduce Steps:
---------------------
1. xinit&
2. gnome-session&
2. run mesa/progs/demos/teapot (or glxgears)
Comment 1 Wang Zhenyu 2009-03-26 19:19:58 UTC
No idea. Is this problem only with HDMI or how about other output? Could you bisect?
Comment 2 zhao jian 2009-03-27 01:19:13 UTC
(In reply to comment #1)
> No idea. Is this problem only with HDMI or how about other output? Could you
> bisect?

Yes. I just change a VGA, then it has no such issue. 
Comment 3 MaLing 2009-03-29 19:07:04 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > No idea. Is this problem only with HDMI or how about other output? Could you
> > bisect?
> Yes. I just change a VGA, then it has no such issue. 

hi 
This bug has been fixed in master tree by commit 7c94227dd4fa2164bebb36234958053bf1d26c12
Author: Ma Ling <ling.ma@intel.com>
Date:   Tue Mar 17 10:33:15 2009 +0800

    Use best PLL timing values for G4X platform

    construct function to find precise parameters from internal spreadsheet
    table on G4X platform.

we should merge it into 2.7 branch too.
Comment 4 Gordon Jin 2009-03-29 20:07:22 UTC
cworth, we need MaLing's patch for 2.7.
Comment 5 Gordon Jin 2009-07-07 19:31:43 UTC
Jian, please mark this as verified if master works.
We don't care 2.7 now.
Comment 6 zhao jian 2009-07-08 20:22:57 UTC
Yes, it works well now with following commits. 
Libdrm:         (master)4179c5f0a69b452cf94a507c13021e4918a3e02d
Mesa:           (mesa_7_5_branch)4adc9b4a5be72e34d464ce341b011c42517d969a
Xserver:         (server-1.6-branch)6f1aff5a2b45bc2985081abc240a8fed37170386
Xf86_video_intel:      (master)216d939858abc924f2e32c95518f937f29ea018e
Kernel:          (qa-branch)a2378bf426426b403079d5b3534de66b32c8a787


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.